## org.apache.lucene.queryparser.flexible.standard.builders
Class StandardBooleanQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryparser.flexible.standard.builders.StandardBooleanQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class StandardBooleanQueryNodeBuilder

extends Object
implements StandardQueryBuilder

This builder does the same as the `BooleanQueryNodeBuilder`, but this considers if the built `BooleanQuery` should have its coord disabled or not.

See Also:
  `BooleanQueryNodeBuilder`, `BooleanQuery`, `Similarity.coord(int, int)`

Constructor Summary
`StandardBooleanQueryNodeBuilder()`

Method Summary
`BooleanQuery` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardBooleanQueryNodeBuilder

    public StandardBooleanQueryNodeBuilder()

Method Detail

### build

    public BooleanQuery build(QueryNode queryNode)
                       throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.